Polylang 1.2.2

Even if the beta version was tested during 6 weeks, some annoying bugs were missed. Most important are those which break the database upgrade process. For example an unexpected conflict was reported with wp-ecommerce when migrating from 1.1.6 to 1.2.1. This new version solves this issue. I hope that this fix will also solve potential conflicts with other plugins or themes.

However, it’s still very important to make a database backup before upgrading from 1.1.6. Even if a process to revert from 1.2.x to 1.1.6 is available.

This version version should also fix some other issues introduced with v1.2:

  • Broken ajax on frontend (for plugins or themes already compatible with Polylang)
  • Languages columns not displayed for some custom post types and custom taxonomies tables.
  • Regression of pll_the_languages raw output (lacking to indexes)
  • Language cookie not correctly set

And last but not least, I would like to thank Bartosz who updated the Polish translation.